Name:    kf6
Version: 6
Release: 1%{?dist}
Summary: Filesystem and RPM macros for KDE Frameworks 6
License: BSD
URL:     http://www.kde.org
Source0: macros.kf6

%description
Filesystem and RPM macros for KDE Frameworks 6

%package filesystem
Summary: Filesystem for KDE Frameworks 6
%{?_qt6_version:Requires: qt6-qtbase >= %{_qt6_version}}
%description filesystem
Filesystem for KDE Frameworks 6.

%package rpm-macros
Summary: RPM macros for KDE Frameworks 6
%if 0%{?fedora} || 0%{?rhel} > 7
Requires: cmake >= 3
Requires: qt6-rpm-macros >= 6
%else
Requires: cmake3
Requires: qt6-qtbase-devel >= 6
%endif
%if 0%{?rhel} == 8
# This is where cmake-related macros live, e.g. %%cmake_build, %%cmake_install
# at least until fixed upstream, https://bugzilla.redhat.com/show_bug.cgi?id=1858941
Requires: epel-rpm-macros
%endif
# misc build environment dependencies
Requires: gcc-c++
BuildArch: noarch
%description rpm-macros
RPM macros for building KDE Frameworks 6 packages.

%install
# See macros.kf6 where the directories are specified
mkdir -p %{buildroot}%{_prefix}/{lib,%{_lib}}/qt6/plugins/kf6/
mkdir -p %{buildroot}%{_prefix}/{lib,%{_lib}}/kconf_update_bin
mkdir -p %{buildroot}%{_includedir}/kf6
mkdir -p %{buildroot}%{_datadir}/{config.kcfg,kconf_update,kf6,kservicetypes6}
mkdir -p %{buildroot}%{_datadir}/kpackage/{genericqml,kcms}
mkdir -p %{buildroot}%{_datadir}/kservices6/ServiceMenus
mkdir -p %{buildroot}%{_datadir}/knsrcfiles/
mkdir -p %{buildroot}%{_datadir}/qlogging-categories6/
mkdir -p %{buildroot}%{_datadir}/solid/{actions,devices}
mkdir -p %{buildroot}%{_docdir}/qt6
mkdir -p %{buildroot}%{_libexecdir}/kf6
mkdir -p %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/{env,shutdown}

install -Dpm644 %{_sourcedir}/macros.kf6 %{buildroot}%{_rpmconfigdir}/macros.d/macros.kf6
sed -i \
  -e "s|@@kf6_VERSION@@|%{version}|g" \
%if 0%{?rhel} && 0%{?rhel} < 8
  -e 's|%{__cmake}|%{__cmake3}|' \
%endif
  %{buildroot}%{_rpmconfigdir}/macros.d/macros.kf6

%files filesystem
%{_datadir}/config.kcfg/
%{_datadir}/kconf_update/
%{_datadir}/kf6/
%{_datadir}/knsrcfiles/
%{_datadir}/kpackage/
%{_datadir}/kservices6/
%{_datadir}/kservicetypes6/
%{_datadir}/qlogging-categories6/
%{_datadir}/solid/
%{_docdir}/qt6/
%{_includedir}/kf6/
%{_libexecdir}/kf6/
%{_prefix}/%{_lib}/kconf_update_bin/
%{_prefix}/%{_lib}/qt6/plugins/kf6/
%{_prefix}/lib/kconf_update_bin/
%{_prefix}/lib/qt6/plugins/kf6/
%{_sysconfdir}/xdg/plasma-workspace/

%files rpm-macros
%{_rpmconfigdir}/macros.d/macros.kf6

%changelog
* Thu Mar 2 2023 Justin Zobel <justin@1707.io> 6-1
- Initial Version

